For Developers

List Application Credentials

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/credentials

Returns all secret key credentials for the application. Each credential is a model-shaped MikroORM Credential entity ordered by sequence.

Requires credentials.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/credentials`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "8aa73a24-c279-4a45-9123-9cda31cc316b",
            "created_date": "2023-06-01T10:00:00.000Z",
            "updated_date": "2023-06-01T10:00:00.000Z",
            "name": "Production Key",
            "secret": "sk_live_abc123...xyz789"
        }
    ]
}
  • POST /api/v2/teams/:team_id/applications/:application_id/credentials — Create a credential
  • DELETE /api/v2/teams/:team_id/applications/:application_id/credentials/:credential_id — Revoke a credential